import pytest
from tutorial import cat


def test_cat1() -> None:
    result = cat('abc', 'def')
    assert result == 'abcdef'


def test_cat2() -> None:
    result = cat('', 'def')
    assert result == 'def'


@pytest.mark.parametrize(("left", "right", "expected"), [
    ('a', 'b', 'ab'),
    ('', '', ''),
    ('', 'b', 'b'),
    ('a', '', 'a'),
    ('text', 'check', 'textcheck'),
])
def test_cat(left: str, right: str, expected: str) -> None:
    result = cat(left, right)
    assert result == expected
